% Creo la matrice che scriverò su DB
function DATAinsert = cellMakerRL(IDcentralina,DTcatena,NodeNum,cRL,ListaDate,ARRAYdate_RL,...
                X_RL,Y_RL,Z_RL,Xlocal_RL,Ylocal_RL,Zlocal_RL,TempDef_RL,ErrRadialLink)
            
TempDef_RL = TempDef_RL';

l = ListaDate;
DATAinsert = cell(l,13);

for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdate_RL(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdate_RL(ii),'HH:MM:SS');
    DATAinsert{ii,6} = X_RL(cRL,ii);
    DATAinsert{ii,7} = Y_RL(cRL,ii);
    DATAinsert{ii,8} = Z_RL(cRL,ii);
    DATAinsert{ii,9} = Xlocal_RL(cRL,ii);
    DATAinsert{ii,10} = Ylocal_RL(cRL,ii);
    DATAinsert{ii,11} = Zlocal_RL(cRL,ii);
    DATAinsert{ii,12} = TempDef_RL(cRL,ii);
    DATAinsert{ii,13} = ErrRadialLink(cRL,ii);
end

end